<?
include 'config.php';
include 'func.php';
head();
ban();
aut();

echo head . 'Вы поймали уникальную ссылку' . div . katalog;
$unic_code = intval( $_GET['unic_code'] );

if ( $unic_code == $_SESSION['unic_code'] and $_SESSION['unic_code'] != '' ){

if($user['extra_ball'] == 0 or $user['extra_ball'] == ''){ $user['extra_ball'] = 1; }

if(time() > $user[is_time]){
echo 'Поздравляем! Вы поймали уникальный Балл. К Вашему балансу добавлено 1 Балл. Всего у Вас ' . ($user['extra']+1).' баллов<br/>';


$ball = $user['extra']+1;

mysql_query( "UPDATE `profile` SET   `extra` = '$ball' WHERE `id` = '$id'" );
$_SESSION['unic_code'] = rand( 1111, 9999 );
}else{

echo'Попытка накрутки системы. В получении балла отказано.<br/>';

}
} else { echo'Ошибка! Ссылка по которой вы прешли не являеться уникальной!<br/>'; } 
navig();
foot();
?>
